#
# spec file for package kate
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kate
Version:        16.08.1
Release:        0
Summary:        Advanced Text Editor
License:        GPL-2.0+
Group:          Productivity/Editors/Other
Url:            http://www.kde.org/
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  karchive-devel
BuildRequires:  kcmutils-devel
BuildRequires:  kcompletion-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kdeclarative-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kactivities5-devel
BuildRequires:  kinit-devel
BuildRequires:  kio-devel
BuildRequires:  kitemmodels-devel
BuildRequires:  kitemviews-devel
BuildRequires:  kjobwidgets-devel
BuildRequires:  knewstuff-devel
BuildRequires:  knotifications-devel
BuildRequires:  kparts-devel
BuildRequires:  kservice-devel
BuildRequires:  ktexteditor-devel
BuildRequires:  kwallet-framework-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  solid-devel
BuildRequires:  sonnet-devel
BuildRequires:  threadweaver-devel
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Core) >= 5.2.0
BuildRequires:  pkgconfig(Qt5DBus) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Script) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Sql) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2.0
Requires:       %{name}-plugins = %{version}
Obsoletes:      %{name}5 < %{version}
Provides:       %{name}5 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Kate is an advanced text editor for KDE.

%package -n kwrite
Summary:        KDE Text Editor
Group:          Productivity/Editors/Other
Requires:       %{name}-plugins = %{version}
Obsoletes:      kwrite5 < %{version}

%description -n kwrite
KWrite is the default text editor of the K desktop environment.

%package plugins
Summary:        KDE Text Editor plugins
Group:          Productivity/Editors/Other
Obsoletes:      kate5-plugins < %{version}

%description plugins
Kate is an advanced text editor for KDE. This package contains
plugins and data files for Kate and KWrite editors.

%prep
%setup -q 

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_applicationsdir}/org.kde.kate.desktop
%{_kf5_bindir}/kate
%{_kf5_sharedir}/icons/hicolor/*/apps/kate.*
%doc %{_kf5_mandir}/man1/kate.*
%dir %{_kf5_htmldir}/en
%dir %{_kf5_htmldir}
%doc %{_kf5_htmldir}/en/katepart/
%doc %{_kf5_htmldir}/en/kate/
%dir %{_kf5_appstreamdir}
%{_kf5_appstreamdir}/org.kde.kate.appdata.xml

%files -n kwrite
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_bindir}/kwrite
%{_kf5_applicationsdir}/org.kde.kwrite.desktop
%dir %{_kf5_htmldir}/en
%dir %{_kf5_htmldir}
%doc %{_kf5_htmldir}/en/kwrite/
%{_kf5_sharedir}/icons/hicolor/*/apps/kwrite.*
%{_kf5_appstreamdir}/org.kde.kwrite.appdata.xml

%files plugins
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_plugindir}/
%{_kf5_sharedir}/kateproject/
%{_kf5_sharedir}/katexmltools/
%{_kf5_sharedir}/plasma/
%{_kf5_servicesdir}/
%{_kf5_appstreamdir}/org.kde.plasma.katesessions.appdata.xml

%changelog
